---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach008Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5A3A0, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5C2E0, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5C6D0, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5D670, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5D680, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x8DE6, offset: 0x8DE6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59FF0, symBinAddr: 0x7090, symSize: 0x0 }
  - { offsetInCU: 0x8DF1, offset: 0x8DF1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59FF4, symBinAddr: 0x7094, symSize: 0x0 }
  - { offsetInCU: 0x8DFC, offset: 0x8DFC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59FF8, symBinAddr: 0x7098, symSize: 0x0 }
  - { offsetInCU: 0x8E41, offset: 0x8E41, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x5A150, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x8EAE, offset: 0x8EAE, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5A208, symBinAddr: 0x7158, symSize: 0x0 }
  - { offsetInCU: 0x8ECC, offset: 0x8ECC, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5A20C, symBinAddr: 0x715C, symSize: 0x0 }
  - { offsetInCU: 0x8EE5, offset: 0x8EE5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5A210, symBinAddr: 0x7160, symSize: 0x0 }
  - { offsetInCU: 0x8EFE, offset: 0x8EFE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5A214, symBinAddr: 0x7164, symSize: 0x0 }
  - { offsetInCU: 0x8F17, offset: 0x8F17, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5A218, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8F30, offset: 0x8F30, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5A220, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8FB9, offset: 0x8FB9, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5A230, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8FD2, offset: 0x8FD2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5A238, symBinAddr: 0x7188, symSize: 0x0 }
  - { offsetInCU: 0x8FEB, offset: 0x8FEB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5A240, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9004, offset: 0x9004, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5A248, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x901D, offset: 0x901D, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5A250, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x9037, offset: 0x9037, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5A258, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x5A29C, symBinAddr: 0x71BC, symSize: 0x0 }
  - { offsetInCU: 0x9136, offset: 0x9136, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x5A2A0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x914F, offset: 0x914F, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x5A2A8, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x9168, offset: 0x9168, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x5A2B0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9181, offset: 0x9181, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x5A2C0, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x919A, offset: 0x919A, size: 0x8, addend: 0x0, symName: __ZL12monitorEnter, symObjAddr: 0x5A2C8, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x91B3, offset: 0x91B3, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x5A2D0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x9205, offset: 0x9205, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xE50, symSize: 0x80 }
  - { offsetInCU: 0x929A, offset: 0x929A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xDA0, symSize: 0xB0 }
  - { offsetInCU: 0x92F5, offset: 0x92F5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xCA0, symSize: 0x100 }
  - { offsetInCU: 0x9588, offset: 0x9588, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xED0, symSize: 0x220 }
  - { offsetInCU: 0x976D, offset: 0x976D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x10F0, symSize: 0xA0 }
  - { offsetInCU: 0x9820, offset: 0x9820, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1190, symSize: 0x110 }
  - { offsetInCU: 0x9916, offset: 0x9916, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x12A0, symSize: 0x150 }
  - { offsetInCU: 0x9A73, offset: 0x9A73, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x13F0, symSize: 0x30 }
  - { offsetInCU: 0x9B80, offset: 0x9B80, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1420, symSize: 0x150 }
  - { offsetInCU: 0x9D78, offset: 0x9D78, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1570, symSize: 0x160 }
  - { offsetInCU: 0x9F18, offset: 0x9F18, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x16D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA133, offset: 0xA133, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1880, symSize: 0xA0 }
  - { offsetInCU: 0xA202, offset: 0xA202, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1920, symSize: 0x20 }
  - { offsetInCU: 0xA239, offset: 0xA239, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1940, symSize: 0x20 }
  - { offsetInCU: 0xA270, offset: 0xA270, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1960, symSize: 0x20 }
  - { offsetInCU: 0xA3DF, offset: 0xA3DF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1980, symSize: 0x1A0 }
  - { offsetInCU: 0xA6FB, offset: 0xA6FB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1B20, symSize: 0x130 }
  - { offsetInCU: 0xA8AB, offset: 0xA8AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1C50, symSize: 0x80 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1CD0, symSize: 0x6A0 }
  - { offsetInCU: 0xB509, offset: 0xB509, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x36E0, symSize: 0xB0 }
  - { offsetInCU: 0xB580, offset: 0xB580, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2370, symSize: 0x70 }
  - { offsetInCU: 0xB63C, offset: 0xB63C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x23E0, symSize: 0xA0 }
  - { offsetInCU: 0xB747, offset: 0xB747, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2480, symSize: 0x40 }
  - { offsetInCU: 0xB83D, offset: 0xB83D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x24C0, symSize: 0x2B0 }
  - { offsetInCU: 0xBBE3, offset: 0xBBE3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2770, symSize: 0xC0 }
  - { offsetInCU: 0xBD29, offset: 0xBD29, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2830, symSize: 0x10 }
  - { offsetInCU: 0xBDEB, offset: 0xBDEB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2840, symSize: 0x220 }
  - { offsetInCU: 0xC0E8, offset: 0xC0E8, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x2A60, symSize: 0x150 }
  - { offsetInCU: 0xC1AB, offset: 0xC1AB, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x2BB0, symSize: 0x3C0 }
  - { offsetInCU: 0xC4E0, offset: 0xC4E0, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x2F70, symSize: 0xF0 }
  - { offsetInCU: 0xC5E2, offset: 0xC5E2, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x3060, symSize: 0x270 }
  - { offsetInCU: 0xC893, offset: 0xC893, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x32D0, symSize: 0xB0 }
  - { offsetInCU: 0xC8FA, offset: 0xC8FA, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x3380, symSize: 0x1E0 }
  - { offsetInCU: 0xCB41, offset: 0xCB41, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0xAE70, symBinAddr: 0x3560, symSize: 0x180 }
  - { offsetInCU: 0xCD7A, offset: 0xCD7A, size: 0x8, addend: 0x0, symName: _monitorContentedEnterHandler, symObjAddr: 0xBEE0, symBinAddr: 0x3790, symSize: 0x1A0 }
  - { offsetInCU: 0xCFB5, offset: 0xCFB5, size: 0x8, addend: 0x0, symName: _monitorContentedEnteredHandler, symObjAddr: 0xC080, symBinAddr: 0x3930, symSize: 0x2D0 }
  - { offsetInCU: 0xD3F0, offset: 0xD3F0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC350, symBinAddr: 0x3C00, symSize: 0x410 }
  - { offsetInCU: 0xD8F9, offset: 0xD8F9, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC760, symBinAddr: 0x4010, symSize: 0x36A }
...
